Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1029441 - PRD34 - [RFE]: Fix Control-Alt-Delete functionality in console options
Summary: PRD34 - [RFE]: Fix Control-Alt-Delete functionality in console options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Frantisek Kobzik
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
: 859036 948746 996564 1099190 (view as bug list)
Depends On: 1023447
Blocks: 859036 948746 996570 1042782 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-11-12 11:57 UTC by Frantisek Kobzik
Modified: 2018-12-06 15:27 UTC (History)
15 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Enhancement
Doc Text:
The VM Console Options dialog now has the option "Map control-alt-del shortcut to ctrl+alt+end" as a replacement for "Pass Ctrl-Alt-Del to virtual machine". If checked, the keystroke Ctrl+Alt+End is passed to the guest (VM) as Ctrl+Alt+Del. This works for VNC console as well as for SPICE console. The mapping is passed to the Virt Viewer in the console.vv file as argument "secure-attention=ctrl+alt+end".
Clone Of:
: 1042782 (view as bug list)
Environment:
VM Console Options dialog now has option "Map control-alt-del shortcut to ctrl+alt+end" as replacement for "Pass Ctrl-Alt-Del to virtual machine". If checked, keystroke Ctrl+Alt+End is passed to the guest (VM) as Ctrl+Alt+Del. This works for VNC console as well as for SPICE console. The mapping is passed to the Virt Viewer in the console.vv file as argument "secure-attention=ctrl+alt+end".
Last Closed: 2014-06-09 15:01:16 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 21174 None None None Never

Description Frantisek Kobzik 2013-11-12 11:57:31 UTC
Description of problem:
Currently engine allows user to enable "pass c-a-d to virtual machine" per vm. When enabled, this features should redirect c-a-d keystroke from the client machine to the guest. However there are problems with current windows versions (> xp) since (for security reasons) the client OS always catches c-a-d keystroke.

Solution:
To solve this problem engine should utilize virt-viewer feature that allow mapping c-a-d to arbitrary keystroke (e.g. ctrl-alt-end) via the "hotkeys" option. The original "pass c-a-d option" will be removed.

This feature will be available for both SPICE and VNC protocols.

Comment 1 Frantisek Kobzik 2014-01-06 14:02:16 UTC
*** Bug 948746 has been marked as a duplicate of this bug. ***

Comment 2 Frantisek Kobzik 2014-01-06 14:02:19 UTC
*** Bug 859036 has been marked as a duplicate of this bug. ***

Comment 5 Pavel Novotny 2014-03-20 17:27:45 UTC
Verified in rhevm-3.4.0-0.9.beta1.el6ev (av3.1).

VM Console Options dialog now has option "Map control-alt-del shortcut to ctrl+alt+end" as replacement for "Pass Ctrl-Alt-Del to virtual machine".
If checked, keystroke Ctrl+Alt+End is passed to the guest (VM) as Ctrl+Alt+Del. This works for VNC console as well as for SPICE console.
The mapping is passed to the Virt Viewer in the console.vv file as argument "secure-attention=ctrl+alt+end".

Verified on clients (systems from were the VM console has been opened): Windows XP, Windows 7 x64 and RHEL 6.

Comment 6 Frantisek Kobzik 2014-03-25 12:52:29 UTC
*** Bug 996564 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2014-06-09 15:01:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html

Comment 8 Scott Herold 2014-07-02 15:59:49 UTC
*** Bug 1099190 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.